
if(0)

# qt_standard_project_setup()

# qt_add_executable(app main.cpp
#     )

add_library(config_lib STATIC dataset.h dataset.cpp
           )

target_include_directories(config_lib PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_include_directories(config_lib PRIVATE ${Qt6Core_INCLUDE_DIRS})

# add_executable(app main.cpp filter.cpp)
target_link_libraries(app PRIVATE config_lib
)
endif()


qt_standard_project_setup()

qt_add_executable(app main.cpp
    )

qt_add_library(config_lib STATIC dataset.h dataset.cpp
)


target_include_directories(config_lib PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_include_directories(config_lib PRIVATE ${Qt6Core_INCLUDE_DIRS})

# add_executable(app main.cpp filter.cpp)
target_link_libraries(app   PRIVATE
    config_lib
    Qt::Core
)

